package com.bonus.common.biz.annotation;


import java.lang.annotation.*;

/**
 * 自定义物资操作日志记录注解
 * 
 * @author syruan
 *
 */
@Target({ ElementType.PARAMETER, ElementType.METHOD })
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface StoreLog {

    /**
     * 模块
     */
    String title() default "";

    /**
     * 业务类型  默认 0 系统日志   1 业务日志  2 异常日志
     */
    int logType()  default 1;

    /**
     * 操作模块
     */
    String module() default "";

    /**
     * 功能 -> 默认MATERIAL代表物资模块 记录库存日志
     */
    String businessType() default "MATERIAL";

    String details() default "";

    /**
     * 操作人类别 -- MANAGE:后台
     */
    String operatorType() default "MANAGE";

    /**
     * 是否保存请求的参数
     */
    public boolean isSaveRequestData() default true;

    /**
     * 是否保存响应的参数
     */
    public boolean isSaveResponseData() default true;

    /**
     * 排除指定的请求参数
     */
    public String[] excludeParamNames() default {};

    /**
     * 操作类型 默认查询
     */
    String grade() default "QUERY";

    /**
     * 日志类型
     */
    String type() default "业务日志";

}
